Skip to content

Retrieve an instance

View as Markdown
get /api/organizations/{organizationId}/instances/{instanceId}

Get an instance.

Returns a single instance of an organization by id, including its name, handle and ownership metadata.

Path parameters

NameTypeRequiredDescription
organizationIdstringrequiredOrganizationInstancesResource identifier
instanceIdstringrequiredOrganizationInstancesResource identifier

Response

200 - OrganizationInstancesResource resource

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring | null-Unique identifier of the instance.
namestring | null-Human-readable display name of the instance.
handlestring | null-Stable, URL-safe identifier of the instance. Used as the tenant subdomain when addressing the per-instance product services (e.g. https://acme-eu.product-management.flowkiwi.net). Lowercase letters and hyphens only, no leading or trailing hyphen, unique across all instances.
created_atstring | null-Date and time the instance was created (ISO 8601, UTC).
updated_atstring | null-Date and time the instance was last updated (ISO 8601, UTC).
organization_idstring | null-Identifier of the organization that currently owns the instance.
created_by_organization_idstring | null-Identifier of the organization that originally created the instance. Immutable, it does not change when the instance is transferred to another organization.

Errors

403 - Forbidden

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
titlestring | null-A short, human-readable summary of the problem.
detailstring | null-A human-readable explanation specific to this occurrence of the problem.
statusnumber | null-
instancestring | null-A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
typestring-A URI reference that identifies the problem type

404 - Not found

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
titlestring | null-A short, human-readable summary of the problem.
detailstring | null-A human-readable explanation specific to this occurrence of the problem.
statusnumber | null-
instancestring | null-A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
typestring-A URI reference that identifies the problem type